Initiate a new client
curl --request POST \
--url https://client-api.dev.finhost.io/client \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "John",
"surname": "Doe",
"nationality": "UKR",
"birthday": "2017-07-21",
"phone": "+380689873682"
}
'import requests
url = "https://client-api.dev.finhost.io/client"
payload = {
"name": "John",
"surname": "Doe",
"nationality": "UKR",
"birthday": "2017-07-21",
"phone": "+380689873682"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'John',
surname: 'Doe',
nationality: 'UKR',
birthday: '2017-07-21',
phone: '+380689873682'
})
};
fetch('https://client-api.dev.finhost.io/client', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactionStatus": "Initiation completed"
}{
"message": "The client has been already initiated"
}{
"message": "Client initiation failed"
}Clients
Initiate a new client
Initiate a client with provided answers for onboarding questionnaire
POST
/
client
Initiate a new client
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Client name
Required string length:
1 - 15Example:
"John"
Client surname
Required string length:
1 - 30Example:
"Doe"
Country ISO 3166-1 Alpha-3 code
Required string length:
3Example:
"UKR"
Client birthday in RFC 3339 (section 5.6)
Example:
"2017-07-21"
Customer phone number
Example:
"+380689873682"
Response
The client was initiated
Transaction Status
Example:
"Initiation completed"
⌘I